> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Plaid Link Statuses

> Returns the status of all Plaid connected financial account ledgers on the platform.



## OpenAPI

````yaml GET /v0/sources/plaid/links/status
openapi: 3.1.0
info:
  title: Teal API
  version: '0.1'
servers:
  - url: https://api.sandbox.teal.dev
    description: Sandbox
  - url: https://api.teal.dev
    description: Production
security: []
paths:
  /v0/sources/plaid/links/status:
    get:
      tags:
        - Transaction Sources
      summary: Get Plaid Link Statuses
      description: >-
        Returns the status of all Plaid connected financial account ledgers on
        the

        platform.
      operationId: get_plaid_link_statuses_v0_sources_plaid_links_status_get
      parameters:
        - name: instance_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The Instance ID
            title: Instance Id
          description: The Instance ID
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            exclusiveMaximum: 1001
            description: The number of records to return. Max limit is 1000.
            default: 50
            title: Limit
          description: The number of records to return. Max limit is 1000.
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Opaque page token
            title: Page Token
          description: Opaque page token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LedgerLinkStatusPage'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    LedgerLinkStatusPage:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          description: The token to use to request the next page
          examples:
            - ikal0NEVfMhF8dJf4yQ6KQZmGD
        prev_page_token:
          anyOf:
            - type: string
            - type: 'null'
          description: The token to use to request the previous page
          examples:
            - vuA7JeKI5c6FLnPt5JfRcZcJxW
        records:
          items:
            $ref: '#/components/schemas/LedgerLinkStatus'
          type: array
          title: Records
          description: List of source account statuses
      type: object
      required:
        - next_page_token
        - prev_page_token
        - records
      title: LedgerLinkStatusPage
    TealErrorResponse:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: A description of the error for API developers.
        data:
          title: Data
          description: Data associated with the error.
        display_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Message
          description: A description of the error for end users.
        error_code:
          anyOf:
            - $ref: '#/components/schemas/TealErrorCode'
            - type: 'null'
          description: Error code associated with the error.
      type: object
      required:
        - message
      title: TealErrorResponse
    LedgerLinkStatus:
      properties:
        token_handle:
          $ref: '#/components/schemas/TransactionSource'
        ledger:
          anyOf:
            - $ref: '#/components/schemas/Ledger'
            - type: 'null'
        instance:
          $ref: '#/components/schemas/Instance'
        txn_processing_task:
          anyOf:
            - $ref: '#/components/schemas/TxnProcessingTask'
            - type: 'null'
      type: object
      required:
        - token_handle
        - ledger
        - instance
        - txn_processing_task
      title: LedgerLinkStatus
    TealErrorCode:
      type: string
      enum:
        - invalid_date
        - invalid_ledger
        - missing_parameters
        - duplicate_name
        - duplicate_sort_code
        - invalid_ledger_type
        - invalid_ledger_report_cash_flow
        - deleting_required_ledger
        - repeated_tag_group
        - deleting_transaction_line
        - modifying_read_only_ledger
        - debits_credits_not_equal
        - modifying_datetime_opening_balance
        - modifying_accrual_journal_entry
        - modifying_payment_application_journal_entry
        - reconciliation_in_progress
        - reconciled_balance_does_not_match
        - journal_entry_outside_reconciliation_period
        - entries_start_date_after_transactions
        - entries_start_date_after_reconciliations
        - entries_start_date_after_journal_entries
      title: TealErrorCode
    TransactionSource:
      properties:
        id:
          type: string
          title: Id
          examples:
            - UjL3BQnEaJtecuC7CUeDk
        type:
          $ref: '#/components/schemas/SourceType'
          examples:
            - plaid
        date:
          type: string
          format: date-time
          title: Date
          description: The date the token was last updated.
          examples:
            - '2022-01-01T00:00:00Z'
        enabled:
          type: boolean
          title: Enabled
          description: If the transaction source is active
      type: object
      required:
        - id
        - type
        - date
        - enabled
      title: TransactionSource
    Ledger:
      properties:
        id:
          type: string
          title: Id
          description: The unique ID of the object.
          examples:
            - 7JRNsKwy2Lw66caxVU7WGC
        name:
          type: string
          maxLength: 255
          title: Name
          description: The name of the ledger.
          examples:
            - Pluto Checking 4242
        debit_credit:
          $ref: '#/components/schemas/DebitCredit'
          description: Indicates if the ledger is a credit or debit ledger.
          examples:
            - debit
        editable:
          type: boolean
          title: Editable
          description: >-
            Whether line entries can be manually added or removed from the
            ledger.
          examples:
            - false
        financial_account_type:
          anyOf:
            - $ref: '#/components/schemas/FinancialAccountType'
            - type: 'null'
          description: Indicates that the ledger represents a real-world financial account.
          examples:
            - bank_account
        is_required:
          type: boolean
          title: Is Required
          description: >-
            Indicates that the ledger is one of the four system ledgers required
            for Teal to work. In the default chart of accounts, these are named
            one of: `Transfers Between Accounts`, `Opening Balance Retained
            Earnings`, `Uncategorized Cash Inflow`, `Uncategorized Cash
            Outflow`. You can update the names of these to fit your needs.
          examples:
            - false
        required_ledger_purpose:
          anyOf:
            - $ref: '#/components/schemas/SpecialLedgerType'
            - type: 'null'
          description: >-
            Required ledgers fulfill specific system functions and are necessary
            for the accounting system to operate.
          examples:
            - account_transfers
        parent:
          anyOf:
            - $ref: '#/components/schemas/Ledger'
            - type: 'null'
          description: >-
            Expandable. If the ledger is a child ledger, the parent ledger
            object.
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Id
          description: If the ledger is a child Ledger, the ID of the parent ledger object.
          examples:
            - null
        report_cash_flow:
          type: boolean
          title: Report Cash Flow
          description: >-
            Whether or not this ledger is included in the cash flow report. For
            ledgers with a financial_account_type, this value is automatically
            determined and cannot be modified.
          examples:
            - false
        sort_code:
          type: string
          maxLength: 20
          title: Sort Code
          description: >-
            Determines the display order in reports, ordered digit by digit,
            starting from the leftmost position. For example, `20010` will come
            before `3050`.
          examples:
            - '1400'
        sub_type:
          $ref: '#/components/schemas/LedgerSubType'
          description: >-
            Indicates similar characteristics and accounting treatment for a
            group of ledgers within a `type`.
          examples:
            - current_assets
        type:
          $ref: '#/components/schemas/LedgerType'
          description: >-
            Indicates the purpose and location of the funds and value recorded
            in the ledger and which report it is included in: `asset`,
            `liability` and `equity` ledgers are displayed on the balance sheet;
            `revenue` and `expenses` are displayed on the income statement.
          examples:
            - asset
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The datetime when the ledger was created.
          examples:
            - '2024-01-01T00:00:00Z'
      type: object
      required:
        - id
        - name
        - debit_credit
        - editable
        - is_required
        - parent_id
        - report_cash_flow
        - sort_code
        - sub_type
        - type
        - created_at
      title: Ledger
    Instance:
      properties:
        id:
          type: string
          title: Id
          description: The unique ID of the object.
          examples:
            - RKtPbubK5NcbBsUmU1ktSP
        entries_start:
          type: string
          format: date-time
          title: Entries Start
          description: |-
            The datetime in UTC time from which the API will 
                    sync an Instance's accounting data. Transactions or journal entries cannot 
                    be entered before this date.
          examples:
            - '2024-01-01T00:00:00Z'
        name:
          type: string
          title: Name
          description: The name of the business.
          examples:
            - ACME Goods Inc
        subscription:
          $ref: '#/components/schemas/SubscriptionLevel'
          description: The Instance's subscription tier.
          examples:
            - tier3
        accounting_package:
          $ref: '#/components/schemas/AccountingPackage'
          description: |-
            The type of accounting package the Instance
                    uses as the source of truth for their books.
          examples:
            - platformgl
        accounting_basis:
          anyOf:
            - $ref: '#/components/schemas/AccountingBasis'
            - type: 'null'
          description: 'The accounting method used: cash basis or accrual basis.'
          examples:
            - accrual
      type: object
      required:
        - id
        - entries_start
        - name
        - subscription
        - accounting_package
      title: Instance
    TxnProcessingTask:
      properties:
        id:
          type: string
          title: Id
          examples:
            - UjL3BQnEaJtecuC7CUeDk
        status:
          $ref: '#/components/schemas/ProcessingStatus'
          description: Indicates the status of the task.
          examples:
            - pending
        created_datetime:
          type: string
          format: date-time
          title: Created Datetime
          description: |-
            Indicates the datetime in UTC when the 
                    task was created.
          examples:
            - '2024-01-01T00:00:00Z'
        updated_datetime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated Datetime
          description: |-
            Indicates the datetime in UTC when the 
                    task was last updated.
          examples:
            - '2024-01-01T00:00:00Z'
        error:
          anyOf:
            - $ref: '#/components/schemas/PlaidError-Output'
            - $ref: '#/components/schemas/GeneralError'
            - type: 'null'
          title: Error
          description: |-
            The Error object if any errors were encountered in the
                    processing. If the processing task was created by a Plaid import, the Plaid
                        errors will be passed through there. See [Plaid's documentation](https://plaid.com/docs/errors/)
                        for more information on their error messages.
          examples:
            - null
        source_account_id:
          type: string
          title: Source Account Id
          description: The source account containing the transactions
        task_type:
          $ref: '#/components/schemas/TxnProcessingTaskType'
          description: Type of transaction processing task
        ledger_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Ledger Id
          description: |-
            The ID of the ledger that the transactions are being
                    created for.
          examples:
            - 7JRNsKwy2Lw66caxVU7WGC
        created_transaction_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Created Transaction Ids
          description: |-
            The IDs of Transactions successfully 
                    processed by this task.
        removed_transaction_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Removed Transaction Ids
          description: |-
            The IDs of Transactions that were 
                    removed by this task.
        modified_transaction_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Modified Transaction Ids
          description: |-
            The IDs of Transactions that were 
                    modified by this task.
        skipped_transaction_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Skipped Transaction Ids
          description: |-
            The IDs of Transactions that were 
                    skipped by this task.
      type: object
      required:
        - id
        - status
        - created_datetime
        - updated_datetime
        - error
        - source_account_id
        - task_type
        - ledger_id
      title: TxnProcessingTask
    SourceType:
      type: string
      enum:
        - plaid
        - manual
      title: SourceType
    DebitCredit:
      type: string
      enum:
        - debit
        - credit
      title: DebitCredit
    FinancialAccountType:
      type: string
      enum:
        - bank_account
        - credit_card
        - payments
        - payroll
        - loan
        - prepaid_card
        - accounts_receivable
        - accounts_payable
        - treasury
        - investment
      title: FinancialAccountType
    SpecialLedgerType:
      type: string
      enum:
        - uncat_inflow
        - uncat_outflow
        - account_transfers
        - opening_balances
        - accounts_receivable
        - accounts_payable
        - wages_expense
        - bonus_expense
        - commissions_expense
        - contractor_expense
        - employee_reimbursements
        - severance_expense
        - payroll_tax_expense
        - employer_benefits_expense
        - health_insurance_expense
        - wages_payable
        - payroll_tax_payable
        - employee_benefit_liabilities
        - payroll_liabilities
      title: SpecialLedgerType
      description: Special ledgers are ledgers that have special behaviour in the system.
    LedgerSubType:
      type: string
      enum:
        - current_assets
        - non-current_assets
        - transfers_between_accounts
        - uncategorized_assets
        - current_liabilities
        - non-current_liabilities
        - equity
        - operating_revenues
        - other_income
        - cost_of_goods_sold
        - operating_expenses
        - other_expenses
        - retained_earnings
      title: LedgerSubType
    LedgerType:
      type: string
      enum:
        - asset
        - liability
        - equity
        - revenue
        - expense
      title: LedgerType
    SubscriptionLevel:
      type: string
      enum:
        - tier0
        - tier1
        - tier2
        - tier3
        - tier4
      title: SubscriptionLevel
    AccountingPackage:
      type: string
      enum:
        - platformgl
      title: AccountingPackage
    AccountingBasis:
      type: string
      enum:
        - cash
        - accrual
      title: AccountingBasis
    ProcessingStatus:
      type: string
      enum:
        - pending
        - failed
        - complete
      title: ProcessingStatus
    PlaidError-Output:
      properties:
        error_type:
          type: string
          title: Error Type
          description: The Plaid error type.
          examples:
            - API_ERROR
        error_code:
          type: string
          title: Error Code
          description: The Plaid error code.
          examples:
            - INTERNAL_SERVER_ERROR
        error_message:
          type: string
          title: Error Message
          description: The Plaid error message.
          examples:
            - An unexpected error occurred.
        display_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Message
          description: A display message supplied by Plaid.
          examples:
            - Something went wrong.
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
          description: The Plaid request identifier.
          examples:
            - KipL51BWnPIpOmi
        causes:
          anyOf:
            - items:
                $ref: '#/components/schemas/PlaidError-Output'
              type: array
            - type: 'null'
          title: Causes
        status:
          anyOf:
            - type: integer
            - type: 'null'
          title: Status
          description: The status code returned from Plaid.
          examples:
            - 500
        documentation_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentation Url
          description: A url to Plaid's documentation about the error.
          examples:
            - >-
              https://plaid.com/docs/errors/api/#internal_server_error-or-plaid-internal-error
        suggested_action:
          anyOf:
            - type: string
            - type: 'null'
          title: Suggested Action
          description: Plaid's suggested action to resolve the error.
      type: object
      required:
        - error_type
        - error_code
        - error_message
      title: PlaidError
    GeneralError:
      properties:
        error_type:
          type: string
          title: Error Type
          description: The error type.
          examples:
            - API_ERROR
        error_message:
          type: string
          title: Error Message
          description: The error message.
          examples:
            - An unexpected error occurred.
      type: object
      required:
        - error_type
        - error_message
      title: GeneralError
    TxnProcessingTaskType:
      type: string
      enum:
        - import_transactions
        - recategorization
        - delete_date_range
        - set_business_flag
        - process_aged_unposted
        - retry_unposted
        - legacy
      title: TxnProcessingTaskType
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.
      flows:
        password:
          scopes: {}
          tokenUrl: https://developer.teal.dev

````